Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Concurrency_Strategy< SVC_HANDLER > Class Template Reference

Activates the Svc_Handler, and then if specified by the TAO_Server_Strategy_Factory, it activates the Svc_Handler to run in its own thread. More...

`#include <Acceptor_Impl.h>`

Inheritance diagram for TAO_Concurrency_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for TAO_Concurrency_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Methods
| TAO_Concurrency_Strategy (TAO_ORB_Core *orb_core)
| Constructor.
int | activate_svc_handler (SVC_HANDLER *svc_handler, void *arg)
## Protected Attributes
TAO_ORB_Core * | orb_core_
| Pointer to the ORB Core.

## Detailed Description

### template<class SVC_HANDLER>
class TAO_Concurrency_Strategy< SVC_HANDLER >

Activates the Svc_Handler, and then if specified by the TAO_Server_Strategy_Factory, it activates the Svc_Handler to run in its own thread.

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
TAO_Concurrency_Strategy< SVC_HANDLER >::TAO_Concurrency_Strategy | ( | TAO_ORB_Core * | orb_core | ) |

| Constructor.

## Member Function Documentation

template<class SVC_HANDLER>
int TAO_Concurrency_Strategy< SVC_HANDLER >::activate_svc_handler | ( | SVC_HANDLER * | svc_handler,
|  | void * | arg
| ) | `[virtual]`

| Activates the Svc_Handler, and then if specified by the TAO_Server_Strategy_Factory, it activates the Svc_Handler to run in its own thread. Reimplemented from ACE_Concurrency_Strategy< SVC_HANDLER >.

## Member Data Documentation

template<class SVC_HANDLER>
TAO_ORB_Core* TAO_Concurrency_Strategy< SVC_HANDLER >::orb_core_`[protected]`

| Pointer to the ORB Core.

The documentation for this class was generated from the following files:

- Acceptor_Impl.h
- Acceptor_Impl.cpp